SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000765SiT!setup/configpublic2009-07-08 15:362009-08-16 14:38
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000765: SQL errors on fresh install of 3.50beta2
DescriptionSupport Incident Tracker - Installation & Setup
Connected to database - ok

Creating new database schema...
A MySQL error occurred: [1366] Incorrect integer value: '{incidentid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_CREATED', 3, 'strNoticeIncidentCreatedDesc', 'strNoticeIncidentCreated', 'strViewIncident', 'javascript:incident_details_window({incidentid})', 'sticky', '{incidentid}')
A MySQL error occurred: [1366] Incorrect integer value: '{incidentid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_ASSIGNED', 3, 'strNoticeIncidentAssignedDesc', 'strNoticeIncidentAssigned', 'strViewIncident', 'javascript:incident_details_window({incidentid})', 'sticky', '{incidentid}')
A MySQL error occurred: [1366] Incorrect integer value: '{incidentid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_NEARING_SLA', 3, 'strNoticeIncidentNearingSLADesc', 'strNoticeIncidentNearingSLA', 'strViewIncident', 'javascript:incident_details_window({incidentid})', 'sticky','{incidentid}')
A MySQL error occurred: [1366] Incorrect integer value: '{currentlang}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_LANGUAGE_DIFFERS', 3, 'strNoticeLanguageDiffersDesc', 'strNoticeLanguageDiffers', 'strKeepCurrentLanguage', '{applicationurl}user_profile_edit.php?mode=savesessionlang', 'session', '{currentlang}')
A MySQL error occurred: [1366] Incorrect integer value: '{contactid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_NEW_CONTACT', 3, 'strNoticeNewContactDesc', 'strNoticeNewContact', 'strViewContact', '{applicationurl}contact_details.php?id={contactid}', 'sticky','{contactid}')
A MySQL error occurred: [1366] Incorrect integer value: '{incidentid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_REVIEW_DUE', 3, 'strNoticeIncidentReviewDueDesc', 'strNoticeIncidentReviewDue', 'strViewIncident', 'javascript:incident_details_window({incidentid})', 'sticky', '{incidentid}')
A MySQL error occurred: [1366] Incorrect integer value: '{kbid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_KB_CREATED', 3, 'strNoticeKBCreatedDesc', 'strNoticeKBCreated', 'strViewArticle', '{applicationurl}kbarticle?id={kbid}', 'sticky', '{kbid}')
A MySQL error occurred: [1366] Incorrect integer value: '{holdingemailid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_NEW_HELD_EMAIL', 3, 'strNoticeNewHeldEmailDesc', 'strNoticeNewHeldEmail', 'strViewHoldingQueue', '{applicationurl}holding_queue.php', 'sticky', '{holdingemailid}')
A MySQL error occurred: [1366] Incorrect integer value: '{holdingemailid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_MINS_HELD_EMAIL', 3, 'strNoticeNewUserDesc', 'strNoticeNewUser', 'strViewHoldingQueue', '{applicationurl}holding_queue.php', 'sticky', '{holdingemailid}')
A MySQL error occurred: [1366] Incorrect integer value: '{applicationversion}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_SIT_UPGRADED', 3, 'strNoticeSitUpgradedDesc', 'strNoticeSitUpgraded', 'strWhatsNew', '{applicationurl}releasenotes.php?v={applicationversion}', 'sticky', '{applicationversion}')
A MySQL error occurred: [1366] Incorrect integer value: '{userid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_USER_CHANGED_STATUS', 3, 'strNoticeUserChangedStatusDesc', 'strNoticeUserChangedStatus', NULL, '', 'sticky', '{userid}')
A MySQL error occurred: [1366] Incorrect integer value: '{userid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_NEW_USER', 3, 'strNoticeNewUserDesc', 'strNoticeNewUser', NULL, NULL, 'sticky', '{userid}')
A MySQL error occurred: [1366] Incorrect integer value: '{incidentid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_CLOSED', 3, 'strNoticeIncidentClosedDesc', 'strNoticeIncidentClosed', NULL, NULL, 'sticky', '{incidentid}')
A MySQL error occurred: [1366] Incorrect integer value: '{contractid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_NEW_CONTRACT', 3, 'strNoticeNewContractDesc', 'strNoticeNewContract', 'strViewContract', '{applicationurl}contract_details.php?id={contractid}', 'sticky', '{contractid}')
A MySQL error occurred: [1366] Incorrect integer value: '{siteid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_NEW_SITE', 3, 'strNoticeNewSiteDesc', 'strNoticeNewSite', 'strViewSite', '{applicationurl}site_details.php?id={siteid}', 'sticky', '{siteid}')
A MySQL error occurred: [1366] Incorrect integer value: '{taskid}' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_TASK_DUE', 3, 'strNoticeTaskDueDesc', 'strNoticeTaskDue', 'strViewTask', '{applicationurl}view_task.php?id={taskid}', 'sticky', '{taskid}')
A MySQL error occurred: [1366] Incorrect integer value: '' for column 'refid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `noticetemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_SCHEDULER_TASK_FAILED', 3, 'strNoticeSchedulerTaskFailedDesc', 'strNoticeSchedulerTaskFailed', '', '', 'sticky', '')
A MySQL error occurred: [1364] Field 'description' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `roles` ( `id` , `rolename` ) VALUES ('1', 'Administrator')
A MySQL error occurred: [1364] Field 'description' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `roles` ( `id` , `rolename` ) VALUES ('2', 'Manager')
A MySQL error occurred: [1364] Field 'description' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `roles` ( `id` , `rolename` ) VALUES ('3', 'User')
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('CloseIncidents', '554400', 'closure_delay', 'Close incidents that have been marked for closure for longer than the <var>closure_delay</var> parameter (which is in seconds)', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 60, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('SetUserStatus', '', NULL, '(EXPERIMENTAL) This will set users status based on data from their holiday calendar. e.g. Out of Office/Away sick.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 60, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('PurgeJournal', '', NULL, 'Delete old journal entries according to the config setting <var>$CONFIG[''journal_purge_after'']</var>', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 300, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('TimeCalc', '', NULL, 'Calculate SLA Target Times and trigger OUT_OF_SLA and OUT_OF_REVIEW system email templates where appropriate.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 60, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('ChaseCustomers', '', NULL, 'Chase customers', 'disabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 3600, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('CheckWaitingEmail', '', NULL, 'Checks the holding queue for emails and fires the TRIGGER_WAITING_HELD_EMAIL trigger when it finds some.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 60, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('PurgeExpiredFTPItems', '', NULL, 'purges files which have expired from the FTP site when run.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 216000, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('CheckIncomingMail', '', NULL, 'Check incoming support mailbox.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 60, '0000-00-00 00:00:00', 1)
A MySQL error occurred: [1364] Field 'date_offset' doesn't have a default value
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `scheduler` (`action`, `params`, `paramslabel`, `description`, `status`, `start`, `end`, `interval`, `lastran`, `success`) VALUES ('CheckTasksDue', '', NULL, 'Checks for due tasks.', 'enabled', '2008-01-01 00:00:00', '0000-00-00 00:00:00', 3600, '0000-00-00 00:00:00', 1)
Installing sample data...

A MySQL error occurred: [1366] Incorrect integer value: '' for column 'notify_contactid' at row 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: INSERT INTO `contacts` (`id`, `notify_contactid`, `username`, `password`, `forenames`, `surname`, `jobtitle`, `courtesytitle`, `siteid`, `email`, `phone`, `mobile`, `fax`, `department`, `address1`, `address2`, `city`, `county`, `country`, `postcode`, `dataprotection_email`, `dataprotection_phone`, `dataprotection_address`, `timestamp_added`, `timestamp_modified`, `notes`) VALUES (1, '', 'Acme1', MD5(RAND()), 'John', 'Acme', 'Chairman', 'Mr', 1, 'acme@example.com', '0666 222111', '', '', '', '', '', '', '', '', '', 'Yes', 'Yes', 'Yes', 1132930556, 1187360933, '')
Summary: 30 Error(s) occurred while creating the schema, please resolve the problems reported and then try running setup again.
Database schema created
If these errors do not appear to be caused by your configuration or setup, please log a bug here, with the full error message.



--------------------------------------------------------------------------------

SiT! Support Incident Tracker Setup | Installation Help

TagsNo tags attached.
Attached Files

- Relationships
related to 0000506closedivan Incorrect integer value 

-  Notes
User avatar (0001268)
paulh (administrator)
2009-07-10 19:47

looks like there is several bugs here on several different SQL statements

When we create dbNoticetemplates we seem to be attempting to insert strings into refid which is defined as an int.

The others seem to be missing default vaules on dields which are NOT NULL though we don't supply values

User avatar (0001279)
ivan (administrator)
2009-07-11 11:11

I've related this to bug 0000506, because I don't see these errors when I try to reproduce this, and think the reason is the sql_mode being strict in one case and not strict in another.
User avatar (0001282)
paulh (administrator)
2009-07-11 12:05

I agree this is down to the strictness of the MySQL setup though we probably want to check all the dbNoticeTemplate ones as this just isn't rght

INSERT INTO `$dbNoticeTemplates` (`name`, `type`, `description`, `text`, `linktext`, `link`, `durability`, `refid`) VALUES('NOTICE_INCIDENT_CREATED', 3, 'strNoticeIncidentCreatedDesc', 'strNoticeIncidentCreated', 'strViewIncident', 'javascript:incident_details_window({incidentid})', 'sticky', '{incidentid}');

when refid is defined as:

`refid` int(11) NULL,

We'll never be able to insert the following '{incidentid}' whilst it doesn't complain in your environment its probably not working correctly either ;-)
User avatar (0001283)
ivan (administrator)
2009-07-11 12:14

Oh yeah I know, I just want to get to the bottom of the errors vs. no errors thing. It seems wrong that I never noticed that bug, it's pretty clearly a mistake!

Trying the various mode's out now, before I fix the bugs.
User avatar (0001284)
ivan (administrator)
2009-07-11 12:20

There are many more modes and mode options, but I found that with this bug not fixed when I changed the sql mode I saw...

No mode specified - No errors shown
ANSI - No errors shown
STRICT_TRANS_TABLES - Errors shown
STRICT_ALL_TABLES - Errors shown
TRADITIONAL - Errors shown. +Invalid default value
User avatar (0001285)
ivan (administrator)
2009-07-11 13:14

Fixed in trunk svn r5504
Quite a few NOT NULL columns without defaults
User avatar (0001626)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-08 15:36 ivan New Issue
2009-07-10 19:47 paulh Note Added: 0001268
2009-07-10 19:47 paulh Severity minor => block
2009-07-10 19:47 paulh Status new => confirmed
2009-07-11 11:09 ivan Status confirmed => assigned
2009-07-11 11:09 ivan Assigned To => ivan
2009-07-11 11:10 ivan Relationship added related to 0000506
2009-07-11 11:11 ivan Note Added: 0001279
2009-07-11 12:05 paulh Note Added: 0001282
2009-07-11 12:14 ivan Note Added: 0001283
2009-07-11 12:20 ivan Note Added: 0001284
2009-07-11 13:14 ivan Note Added: 0001285
2009-07-11 13:14 ivan Status assigned => resolved
2009-07-11 13:14 ivan Resolution open => fixed
2009-07-11 13:14 ivan Fixed in Version => Current SVN
2009-07-11 13:14 ivan Target Version => 3.50
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001626
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker